#!/usr/bin/shellmod
. /usr/lib/linuxconf/lib/shellmod-lib.sh
rm -f /tmp/sample.log

register(){
//	echo regmenu main dnsconf \"Import a host file\"
	echo regmenu m1 MENU_MISCSERV \"A sample dialog\"
	echo comanager ufct user
}
ufct_setupdia(){
	echo newf_title dummy 1 - dummy
	echo newf_str a1 \"dummu field\" empty
}
ufct_validate(){
	if [ "$a1" = "valid" ] ; then
		echo retcode 0
	else
		echo setcurfield a1
		echo retcode -1
		echo error \"Invalid value\"
	fi
}
ufct_save(){
	echo retcode 0
}
ufct_deluser(){
	echo retcode 0
}
ldapedit(){
	echo DIALOG
	echo newf_title Personal 1 a basicinf
	echo newf_str name Name
	echo newf_str surename Surname
	echo newf_str email Email
	qecho newf_str home "Phone Home"
	qecho newf_str work "Phone Work"
	qecho newf_str cellular "Phone Cellular"
	
	qecho edit test "LDAP edit"
	dispatch
	echo end
	if [ "$CODE" = "accept" ] ; then
		echo accept vue >>/tmp/sample.log
		echo a1=$a1 >>/tmp/sample.log
		echo c1=$c1 >>/tmp/sample.log
		echo c2=$c2 >>/tmp/sample.log
		echo r1=$r1 >>/tmp/sample.log
		echo n1=$n1 >>/tmp/sample.log
		echo co1=$co1 >>/tmp/sample.log
		echo en1=$en1 >>/tmp/sample.log
	fi
}

ldapsearch(){
	echo DIALOG
	echo newf_title Personal 1 a basicinf
	echo newf_str name Name
	qecho edit test "LDAP search"
	dispatch
	if [ "$CODE" = "accept" ] ; then
		testing = fdfsdfsfsd
		echo DIALOG
		echo newf_title Personal 1 a basicinf
		echo newf_str name Name
		dispatch
	fi
	echo end
}

m2(){
	echo DIALOG
	echo newf_chkm c2 Position 2 left center right
	echo newf_radio r1 title3-a 1 1 stitle3-1
	echo newf_radio r1 title3-b 1 2 stitle3-2
	echo newf_radio r1 title3-c 1 3 stitle3-3
	echo newf_title extra 1 - extrainfo
	echo newf_num n1 \"title4 long\" 24
	echo newf_combo co1 \"com port\" ttyS1
		# Using the qecho function for those who dislike the \" construct
		qecho comboitem ttyS0 "COM1 in DOS"
		qecho comboitem ttyS1 "COM2 in DOS"
		qecho comboitem ttyS2 "COM3 in DOS"
	echo newf_enum en1 \"com port\" 2
		echo enumitem ttyS0 \"COM1 in DOS\"
		echo enumitem ttyS1 \"COM2 in DOS\"
		echo enumitem ttyS2 \"COM3 in DOS\"
	echo newf_str name name
	echo newf_str surname surname
	while true
	do
		echo edit Fiche \"Fill this form\"
		dispatch
		if [ "$CODE" = "cancel" ] ; then
			break
		else
			if [ "$surname" = "foo" ] ; then
				echo error \"surname can\'t be foo\"
				echo setcurfield surname
			else
				break
			fi
		fi
	done
	echo end
}

m3do(){
	echo param = \"$1\" >>/tmp/sample.log
}

m3(){
	echo DIALOG_LISTE
	echo newf_head \"File name\" Sise \"Revision date\"
	ls -l | while read perm count user group size month day hour name
	do
		echo new_menuitem $name $size \"$month $day $hour\" >>/tmp/sample.log
		echo new_menuitem \"m3do $name\" $name $size \"$month $day $hour\"
	done
	echo editmenu \"Current directory\" \"This show all file in the current directory\"
	dispatch
	echo end
}

main(){
	echo DIALOG_MENU
	qecho new_menuitem ldapedit "Edit"
	qecho new_menuitem ldapsearch "Search"
	qecho new_menuitem m3 "A list"
	qecho editmenu main "LDAPconf shell"
	dispatch
	echo end
}


dispatch

	

