/*********** 

LDAPCONF

Licence: Linuxconf/GPL (see the file COPYING for details)
Author: Stein Vrle <stein@terminator.net>

************/

#include "ldap.h"

/*
	LDAPPROFILE
	This object holds properties used for accessing a LDAP directory.
	If a property is not set LDAP will usually use the default from the client configfile.
*/
PUBLIC LDAPPROFILE::LDAPPROFILE ()
{
	dn = "";
	pw = "";
	base = "";
  	host = "";
	port="";
}

/*
	LDAPPROFILE default dialog

*/
PUBLIC void LDAPPROFILE::default_dialog()
{
	DIALOG *dia = NULL;
	dia = new DIALOG;
	dia->newf_str (MSG_U(F_API_HOST,"Host"),host);
	dia->newf_str (MSG_U(F_API_PORT,"Port"),port);
	dia->newf_str (MSG_U(F_API_BASE,"Base"),base);
	dia->newf_str (MSG_U(F_API_DN,"DN"),dn);
	dia->newf_str (MSG_U(F_API_PW,"Password"),pw);
	FIELD_COMBO *scopelist = dia->newf_combo(MSG_U(F_API_SCOPE,"Scope"),scope);
		scopelist->addopt ("one");
		scopelist->addopt ("base");
		scopelist->addopt ("sub");
//	return *dia;
}

